using System.Collections;
using System.ComponentModel;

namespace Dapfor.Net.Demo.Examples.DataBinding.ConditionalDataBinding
{
    /// <summary>
    /// Enables to combine multiple data sources (Orders and Baskets) at the same hierarchical level
    /// </summary>
    public class MultipleDataSources : IListSource
    {
        private readonly IList _sources;

        public MultipleDataSources(IList[] sources)
        {
            _sources = sources;
        }

        #region IListSource Members

        public IList GetList()
        {
            return _sources;
        }

        public bool ContainsListCollection
        {
            get { return true; }
        }

        #endregion
    }
}