using System;
using System.ComponentModel;
using Dapfor.Net.Ui;

namespace Dapfor.Net.Demo.Examples.Features.SharedData
{
    /// <summary>
    /// The objects of this class will be inserted into the <see cref="Grid"/>. 
    /// </summary>
    public class DataObject : INotifyPropertyChanged
    {
        #region Fields 

        private readonly string id;
        private bool boolValue;
        private int intValue1;
        private int intValue2;
        private int intValue3;
        private int intValue4;

        #endregion

        public DataObject(string id, Random r)
        {
            this.id = id;
            if (r != null)
            {
                boolValue = r.Next()%2 == 1;
                intValue1 = r.Next()%100;
                intValue2 = r.Next();
                intValue3 = r.Next()%5;
                intValue4 = r.Next() % 1000;
            }
        }

        public string Id
        {
            get { return id; }
        }

        public int IntValue1
        {
            get { return intValue1; }
            set
            {
                intValue1 = value;
                NotifyUpdate("IntValue1");
            }
        }

        public int IntValue2
        {
            get { return intValue2; }
            set
            {
                intValue2 = value;
                NotifyUpdate("IntValue2");
            }
        }

        public int IntValue3
        {
            get { return intValue3; }
            set
            {
                intValue3 = value;
                NotifyUpdate("IntValue3");
            }
        }

        public int IntValue4
        {
            get { return intValue4; }
            set
            {
                intValue4 = value;
                NotifyUpdate("IntValue4");
            }
        }

        public bool BoolValue
        {
            get { return boolValue; }
            set
            {
                boolValue = value;
                NotifyUpdate("BoolValue");
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        private void NotifyUpdate(string fieldId)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(fieldId));
            }
        }
    }
}