using Dapfor.Net.Ui;

namespace Dapfor.Net.Demo.Examples.GridBasics.FirstLook
{
    /// <summary>
    /// The objects of this class will be shown on the top hierarchical level of the <see cref="Grid"/>
    /// </summary>
    public class RootClass
    {
        //Some enumeration
        public enum EnumExample
        {
            Internal,
            External,
        }

        #region Fields

        private double doubleValue;
        private int intValue;
        private string stringValue;
        readonly EnumExample orderType;

        #endregion

        public RootClass(double doubleValue, int intValue, string stringValue, EnumExample orderType)
        {
            this.doubleValue = doubleValue;
            this.intValue = intValue;
            this.stringValue = stringValue;
            this.orderType = orderType;
        }

        #region Public properties

        public string Name
        {
            get { return stringValue; }
            set { stringValue = value; }
        }


        public int Count
        {
            get { return intValue; }
            set { intValue = value; }
        }

        public double Price
        {
            get { return doubleValue; }
            set { doubleValue = value; }
        }

        public EnumExample OrderType
        {
            get { return orderType; }
        }

        #endregion

    }
}
