using System.IO;
using Dapfor.Net.Data;

namespace Dapfor.Net.Demo.Examples.Miscellaneous.FileExplorer
{
    //Represents a drive in the file system
    public class DriveObject : IExplorable
    {
        private readonly string _drive;
        private readonly bool _expandable;
        private readonly string _frendlyName;

        public DriveObject(string drive)
        {
            _drive = drive;
            _frendlyName = drive.Replace("\\", "");

            try
            {
                DirectoryInfo di = new DirectoryInfo(drive);
                _expandable = di.GetDirectories("*", SearchOption.TopDirectoryOnly).Length > 0 || di.GetFiles("*").Length > 0;
            }
            catch
            {
                _expandable = false;
            }
        }

        [Field("Name")]
        public string DriveName
        {
            get { return _frendlyName; }
        }

        #region IExplorable Members

        public string FullName
        {
            get { return _drive; }
        }

        public bool Expandable
        {
            get { return _expandable; }
        }

        #endregion
    }
}