using System;
using Dapfor.Net.Ui;

namespace Dapfor.Net.Demo.Examples.Miscellaneous.Logger
{
    //Message severity
    public enum Severity
    {
        Debug,
        Info,
        Warn,
        Error,
        Fatal,
    }

    /// <summary>
    /// The objects of this class will be inserted into the <see cref="Grid"/>. 
    /// </summary>
    public sealed class LogMessage 
    {
        #region Fields 

        private readonly DateTime timestamp;
        private readonly Severity severity;
        private readonly string message;

        #endregion

        #region Constructor

        public LogMessage(Severity severity, string message)
        {
            this.severity = severity;
            this.message = message;
            timestamp = DateTime.Now;
        }

        #endregion

        public DateTime Timestamp
        {
            get { return timestamp; }
        }

        public Severity Severity
        {
            get { return severity; }
        }

        public string Message
        {
            get { return message; }
        }
    }
}