using System;
using System.IO;
using System.Windows.Forms;

namespace Dapfor.Net.Demo.Internal
{
    public partial class ContentBrowser : Form
    {
        private static ContentBrowser Instance;


        public ContentBrowser()
        {
            InitializeComponent();
        }

        protected override void OnFormClosing(FormClosingEventArgs e)
        {
            switch(e.CloseReason)
            {
                case CloseReason.UserClosing:
                    e.Cancel = true;
                    Hide();
                    break;
            }
        }

        public static void Show(string title, string contentPath)
        {
            if (Instance == null)
            {
                Instance = new ContentBrowser();
                Instance.Closed += delegate { Instance = null; };
            }

            string file = Path.Combine(Program.DocumentationPath, contentPath ?? string.Empty);
            if (File.Exists(file))
            {
                try
                {
                    Uri uri = new Uri(file);
                    Instance.Text = title != null ? "Dapfor: " + title : "Dapfor";
                    Instance.webBrowser.Url = uri;

                    Instance.Show(Application.OpenForms[0]);
                    Instance.BringToFront();    
                }
                catch{}
            }
        }
    }
}