using System;

namespace Dapfor.Net.Demo.Internal
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false, Inherited = false)]
    public sealed class ExampleAttribute : Attribute
    {
        #region Fields

        private readonly string _name;
        private readonly string _group;
        

        #endregion

        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="ExampleAttribute"/> class.
        /// </summary>
        /// <param name="name">The name.</param>
        /// <param name="group">The group.</param>
        public ExampleAttribute(string name, string group) 
        {
            _name = name;
            _group = group;
        }

        #endregion

        #region Public properties

        /// <summary>
        /// Gets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get { return _name; }
        }

        /// <summary>
        /// Gets the group.
        /// </summary>
        /// <value>The group.</value>
        public string Group
        {
            get { return _group; }
        }

        #endregion
    }
}